package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.LoginReq;
import com.abi.qms.platform.service.LoginService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 登录
 * </p>
 *
 * @author Andy.Tan
 */
@Slf4j
@RestController
@Api(tags = "登录")
public class LoginController {

    @Autowired
    private LoginService loginService;

    @ApiOperation("登录")
    @PostMapping("login")
    public BaseResponse login(@Validated @RequestBody LoginReq loginReq) throws Exception{
        //登录
        loginService.login(loginReq);
        //包装出参
        return BaseResponse.create();
    }



}








