package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 是否有效
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ValidEnum {

	//是否有效: 0-无效 1-有效
	NOT_VALID(0,"无效"),
	VALID(1,"有效");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<ValidEnum> ALL = EnumSet.allOf(ValidEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(o -> o.getName())
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(o -> o.getCode())
                .findAny().orElse(null);
    }

	public boolean is(Integer code){
		return getCode().equals(code);
	}

}
