package com.abi.qms.platform.dto.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author:Andy.Tan
 * @Description: 供应商查询详情出参
 */
@Data
@ApiModel
public class GetFactoryDetailRes implements Serializable {

  @ApiModelProperty(value = "id")
  private Long id;

  @ApiModelProperty(value = "供应商id")
  private String factoryCode;

  @ApiModelProperty(value = "供应商名称")
  private String factoryName;

  @ApiModelProperty(value = "供应商类型 1-包材厂 2-啤酒厂")
  private Integer factoryType;

  @ApiModelProperty(value = "联系人姓名")
  private String keymanName;

  @ApiModelProperty(value = "联系人手机号")
  private String keymanMobile;

  @ApiModelProperty(value = "邮箱")
  private String email;

  @ApiModelProperty(value = "文件最大数")
  private Long maxFileCount;

  @ApiModelProperty(value = "描述")
  private String description;

  @ApiModelProperty(value = "是否有效 0-无效 1-有效")
  private Integer valid;

  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private LocalDateTime createTime;

  @ApiModelProperty(value = "创建人id")
  private Long createBy;

  @ApiModelProperty(value = "修改时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private LocalDateTime updateTime;

}
