package com.abi.qms.platform.infrastructure.config.mybatis;

import cn.hutool.json.JSONUtil;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.executor.Executor;
import org.apache.ibatis.mapping.MappedStatement;
import org.apache.ibatis.plugin.*;
import org.apache.ibatis.session.ResultHandler;
import org.apache.ibatis.session.RowBounds;


/**
 * 打印结果拦截器 〈功能详细描述〉
 *
 * @author gogym
 * @version 2019年4月2日
 * @see
 * @since
 */
@Slf4j
@NoArgsConstructor
@Intercepts({@Signature(type = Executor.class, method = "query", args = {MappedStatement.class,
		Object.class, RowBounds.class, ResultHandler.class})})

public class ResultSqlInterceptor implements Interceptor
{

	@Override
	@SuppressWarnings({"rawtypes", "unchecked"})
	public Object intercept(Invocation invocation)
			throws Throwable
	{
		long startTime= System.currentTimeMillis();
		// 执行请求方法，并将所得结果保存到result中
		Object result = invocation.proceed();
		long endTime = System.currentTimeMillis();
		String str = JSONUtil.toJsonStr(result);
		log.info("-------------->mybatis 出参:"+str);
		log.info("-------------->mybatis 执行时间: "+(endTime-startTime)+" ms");
		return result;
	}
	@Override
	public Object plugin(Object target)
	{
		return Plugin.wrap(target, this);
	}
}