package com.abi.qms.platform.infrastructure.util;

import com.abi.task.common.api.base.PageReq;
import com.abi.task.common.api.base.PageResp;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.poi.ss.formula.functions.T;

/**
 * @Author AndyTan
 * @Description 分页信息放入出参
 * @Date 2021/1/23
 **/
public class PageUtil {

    public static <T extends PageReq> IPage createPage(T t){
        return new Page<>(t.getPageNo(), t.getPageSize());
    }

    /**
     * 拷贝分页信息
     * @param res
     * @param pageResult
     */
    public static void copyPageInfo(PageResp res, IPage pageResult){
        res.setPageSize(Integer.valueOf(String.valueOf(pageResult.getSize())));
        res.setPageNo(Integer.valueOf(String.valueOf(pageResult.getCurrent())));
        res.setTotalNumber(pageResult.getTotal());
        res.setTotalPage(pageResult.getPages());
    }

}
