package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.ExcelImportRes;
import com.abi.qms.platform.dto.res.GetDeptDetailRes;
import com.abi.qms.platform.dto.res.ListDeptRes;
import com.abi.task.common.excel.preperties.DepartmentProperty;

import java.util.List;

/**
 * <p>
 * 部门管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface DepartmentService{

    /**
     * 部门新增修改
     * @param saveDeptReq
     * @throws Exception
     */
    void saveDept(SaveDeptReq saveDeptReq) throws Exception;

    ListDeptRes listDept(ListDeptReq listDeptReq) throws Exception;

    GetDeptDetailRes getDeptDetail(GetDeptDetailReq getDeptDetailReq) throws Exception;

    void enableDept(EnableDeptReq enableDeptReq) throws Exception;

    void disableDept(DisableDeptReq disableDeptReq) throws Exception;

    ExcelImportRes deptExcelImport(List<DepartmentProperty> departmentPropertyList) throws Exception;


}
